Subject: [manet] Nist-Dymo protocol

From: didac mediavilla <[email-masked]>
Date: Thu, 3 Nov 2005 17:11:01 +0100

Apologies if this is not the right forum for this message

I'm a student of telecomunication in Spain (UPC). I'm studing dymo
protocol to realease the final project, and I have one question about
it.

I would like to know if the version exposed in the Internet has worked
correctly to somebody.

My PC has a gentoo distribution, actually the kernel that gentoo is
using is 2.6.9. It has activate Netfilter and all the things that are
necessary to build protocol.

Next, you can see the error. I have a error in the packet_in the
variable ethernet.

------------------------------ERROR----------------------------------------------------------

make -C /lib/modules/2.6.9-gentoo-r9/build  SUBDIRS=/root/nist-dymo modules
make[1]: Entering directory `/usr/src/linux-2.6.9-gentoo-r9'
 CC [M]  /root/nist-dymo/packet_in.o
/root/nist-dymo/packet_in.c: In function `packet_in':
/root/nist-dymo/packet_in.c:107: error: union has no member named `ethernet'
make[2]: *** [/root/nist-dymo/packet_in.o] Error 1
make[1]: *** [_module_/root/nist-dymo] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.9-gentoo-r9'

-------------------------------------------------------------------------------------------------

Thanks!!!

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet